## adr-tools 3.0.0

=== Makefile ===

TESTS:=$(wildcard tests/*.sh)
SRC:=$(wildcard src/*)

# Run tests outside the project directory so that they cannot interfere with the project's
# own ADR directory
BUILDDIR:=/tmp/adr-tools-build

check: $(TESTS:tests/%.sh=$(BUILDDIR)/tests/%.diff)
	@echo SUCCESS

$(BUILDDIR)/tests/%.diff: $(BUILDDIR)/tests/%.output tests/%.expected
	@diff --side-by-side $^ > $@ || ! cat $@

$(BUILDDIR)/tests/%.output: tests/%.sh tests/%.expected $(SRC)
	@echo TEST: $*
	@rm -rf $(dir $@)/$*
	@mkdir -p $(dir $@)/$*
	@(cd $(dir $@)/$* && \
	  PATH=/bin:/usr/bin:$(abspath src):$(abspath tests) \
	  ADR_DATE=1992-01-12 \
	  VISUAL= \
	  EDITOR= \
	  PS4='+ ' \
	    /bin/sh -v $(abspath $<) > $(abspath $@) 2>&1) || ! cat $@

clean:
	rm -rf /tmp/adr-tools-build

show-%:
	@echo "$* ($(flavor $*)) = $($*)"

.PHONY: all clean
.PRECIOUS: $(BUILDDIR)/tests/%.output
.DELETE_ON_ERROR:

=== debian/changelog ===
adr-tools (3.0.0-2) unstable; urgency=medium

  * Update to debhelper compatibility level 13.
  * Bump standards-version to 4.6.0 without any changes.
  * Add Homepage field. 

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 16 Nov 2021 00:29:59 +0100

adr-tools (3.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #991261)

 -- Zygmunt Krynicki <me@zygoon.pl>  Fri, 09 Jul 2021 10:54:37 +0200

=== debian/control ===
Source: adr-tools
Section: devel
Priority: optional
Maintainer: Zygmunt Krynicki <me@zygoon.pl>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13)
Homepage: https://github.com/npryce/adr-tools
Rules-Requires-Root: no

Package: adr-tools
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}
Description: tools for working with a log of Architecture Decision Records
 Architecture Decision Records or ADRs for short encode architectural
 decisions through the lifetime of a project. They are meant to help future
 maintainers to understand how the project came do be the way it is. ADRs can
 help understand past decisions, supersede them with new decisions and list
 currently effective decisions.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/adr-tools/usr/bin
	mkdir -p $(CURDIR)/debian/adr-tools/usr/libexec/adr-tools/
	mkdir -p $(CURDIR)/debian/adr-tools/usr/share/adr-tools/
	mkdir -p $(CURDIR)/debian/adr-tools/usr/share/bash-completion/completions
	cp src/_adr* $(CURDIR)/debian/adr-tools/usr/libexec/adr-tools/
	cp src/adr-* $(CURDIR)/debian/adr-tools/usr/libexec/adr-tools/
	cp src/*.md $(CURDIR)/debian/adr-tools/usr/share/adr-tools/
	cp src/adr $(CURDIR)/debian/adr-tools/usr/bin
	cp autocomplete/adr $(CURDIR)/debian/adr-tools/usr/share/bash-completion/completions

# There is nothing to build, the makefile defaults to "check". See below for
# why this is disabled.
override_dh_auto_build:
	true

# Tests rely on being executed from source.
override_dh_auto_test:
	true

=== debian/tests/control ===
Tests: integration-tests

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/adr-tools-$1\.tar\.gz/ \
  https://github.com/npryce/adr-tools/tags .*/v?(\d\S+)\.tar\.gz
